Skip to content
--- aside: false outline: false title: "Get blob by ID. This will redirect to a cacheable content URL. — Civitai Orchestration API" copyPage: false ---

Get blob by ID. This will redirect to a cacheable content URL.

GET
/v2/consumer/blobs/{blobId}

Parameters

Path Parameters

blobId*

The blob ID to retrieve.

Type
string
Required

Query Parameters

workflowId

The id of the workflow to obtain

Type
string
nsfwLevel

A maximum nsfw level. If this is specified and the blob does not have a NSFW level specified or the NSFW level exceeds our max then we'll return an error

Type
string
Valid values
"pg""pg13""r""x""xxx""na"
filename

Optional filename to use in the Content-Disposition header when the blob is served. Path components and control characters are stripped.

Type
string
download

When true, the blob is served with Content-Disposition: attachment to prompt a download. Defaults to inline.

Type
boolean

Responses

Permanent Redirect

Playground

Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Civitai Developer Documentation